Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033206
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 07. Sales managementmajorN/A2016-06-09 12:082017-03-15 20:21
ReporterairaceburuView Statuspublic 
Assigned Toairaceburu 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision49e2bc878d1e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033206: More Sales Invoice Dimensional Report Totals

DescriptionIt would be nice if there were more totals at the end of the report.

-Amount
-Cost
-Profit
-M%
-Weight
-Quantity

Also it would be nice if the secondary filters could be shown
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0026751 closedTriage Finance Add cost and profit totals in sales invoice dimensional report 
causes defect 0037766 closedcollazoandy4 Sales Invoice Dimensional Report in Excel - error 0/0 

-  Notes
(0094731)
hgbot (developer)
2017-03-03 13:41

Repository: erp/devel/pi
Changeset: 49e2bc878d1e09355a22cc23189b9657e144fb9f
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Tue Jan 10 17:07:05 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/49e2bc878d1e09355a22cc23189b9657e144fb9f [^]

Fixes issue 33206: Sales Invoice Dimensional Report. New features

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeExtendedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
A src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalyses_srpt.jrxml
---
(0094732)
hgbot (developer)
2017-03-03 13:42

Repository: erp/devel/pi
Changeset: adf45772e0665c78f7461ed238b2bb2e7bc5c82c
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Wed Jan 11 08:16:13 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/adf45772e0665c78f7461ed238b2bb2e7bc5c82c [^]

Related to issue 33206: Fixed dbcons

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
---
(0094733)
hgbot (developer)
2017-03-03 13:42

Repository: erp/devel/pi
Changeset: 999f546d0ceefe8309e80c2fb24a69dddc836d66
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Wed Feb 08 09:45:51 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/999f546d0ceefe8309e80c2fb24a69dddc836d66 [^]

Related to issue 33206: Code Review

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/base/secureApp/OrgTree.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeExtendedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
A src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalyses_srpt_doctypecount.jrxml
R src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalyses_srpt.jrxml
---
(0094734)
hgbot (developer)
2017-03-03 13:42

Repository: erp/devel/pi
Changeset: 3cbaee53d594179f1a6e982521e510fd1728b311
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Thu Feb 09 13:53:42 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3cbaee53d594179f1a6e982521e510fd1728b311 [^]

Related to issue 33206: Code Review 2

---
M src/org/openbravo/base/secureApp/OrgTree.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeExtendedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalyses_srpt_doctypecount.jrxml
---
(0094735)
hgbot (developer)
2017-03-03 13:42

Repository: erp/devel/pi
Changeset: dfbfaa24af50258b49aeddcc3d4d06c663cb850d
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Fri Feb 10 14:14:45 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dfbfaa24af50258b49aeddcc3d4d06c663cb850d [^]

Related to issue 33206: Code Review 3

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeExtendedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalyses_srpt_doctypecount.jrxml
---
(0094736)
hgbot (developer)
2017-03-03 13:42

Repository: erp/devel/pi
Changeset: 9706b656debc12b53a719c373bfc35af718a6a07
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Tue Feb 14 10:08:21 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9706b656debc12b53a719c373bfc35af718a6a07 [^]

Related to issue 33206: Fixed dbcons

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
---
(0094737)
hgbot (developer)
2017-03-03 13:42

Repository: erp/devel/pi
Changeset: e5ad53c4188768fdfe1ad05b386c1335d1146fc4
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Fri Mar 03 11:17:06 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e5ad53c4188768fdfe1ad05b386c1335d1146fc4 [^]

Related to issue 33206: Code Review 4

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeExtendedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalyses_srpt_doctypecount.jrxml
---
(0094746)
hgbot (developer)
2017-03-03 14:56

Repository: erp/devel/pi
Changeset: 692350f4e44e5871ad878eeb7793ce34b1f277be
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Fri Mar 03 14:49:06 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/692350f4e44e5871ad878eeb7793ce34b1f277be [^]

Related to issue 33206: Fixed dbcons

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
---
(0094973)
vmromanos (developer)
2017-03-13 10:07

Code review + testing OK.

More details at https://openbravo.aha.io/features/PR-345 [^]
(0094974)
vmromanos (developer)
2017-03-13 10:13

https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-10559 [^]
(0095257)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095258)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095259)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095260)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095261)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095262)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095263)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095267)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-09 12:08 airaceburu New Issue
2016-06-09 12:08 airaceburu Assigned To => airaceburu
2016-06-09 12:08 airaceburu Modules => Core
2016-06-09 12:08 airaceburu Triggers an Emergency Pack => No
2017-03-03 13:41 hgbot Checkin
2017-03-03 13:41 hgbot Note Added: 0094731
2017-03-03 13:41 hgbot Status new => resolved
2017-03-03 13:41 hgbot Resolution open => fixed
2017-03-03 13:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/49e2bc878d1e09355a22cc23189b9657e144fb9f [^]
2017-03-03 13:42 hgbot Checkin
2017-03-03 13:42 hgbot Note Added: 0094732
2017-03-03 13:42 hgbot Checkin
2017-03-03 13:42 hgbot Note Added: 0094733
2017-03-03 13:42 hgbot Checkin
2017-03-03 13:42 hgbot Note Added: 0094734
2017-03-03 13:42 hgbot Checkin
2017-03-03 13:42 hgbot Note Added: 0094735
2017-03-03 13:42 hgbot Checkin
2017-03-03 13:42 hgbot Note Added: 0094736
2017-03-03 13:42 hgbot Checkin
2017-03-03 13:42 hgbot Note Added: 0094737
2017-03-03 14:56 hgbot Checkin
2017-03-03 14:56 hgbot Note Added: 0094746
2017-03-13 10:07 vmromanos Review Assigned To => vmromanos
2017-03-13 10:07 vmromanos Note Added: 0094973
2017-03-13 10:07 vmromanos Status resolved => closed
2017-03-13 10:13 vmromanos Note Added: 0094974
2017-03-13 16:15 vmromanos Fixed in Version => 3.0PR17Q2
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095257
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095258
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095259
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095260
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095261
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095262
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095263
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095267
2018-02-01 19:43 dmitry_mezentsev Relationship added causes 0037766
2018-10-23 16:54 ngarcia Relationship added has duplicate 0026751


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker